E-MailRelay

Classes | Namespaces | Functions
gcram.cpp File Reference
`#include "gdef.h"`
`#include "gcram.h"`
`#include "ghash.h"`
`#include "ghashstate.h"`
`#include "gmd5.h"`
`#include "gstr.h"`
`#include "gssl.h"`
`#include "gbase64.h"`
`#include "glocal.h"`
`#include "gexception.h"`
`#include "gtest.h"`
`#include "glog.h"`
`#include <algorithm>`

Go to the source code of this file.

## Classes
struct | GAuth::CramImp::DigesterAdaptor
| Used by GAuth::Cram to use GSsl::Digester. More...
struct | GAuth::CramImp::PostDigesterAdaptor
| Used by GAuth::Cram to use GSsl::Digester. More...

## Namespaces
namespace | GAuth
| SASL authentication classes.
namespace | GAuth::CramImp
| An implementation namespace for GAuth::Cram.

## Functions
GSsl::Library & | GAuth::CramImp::lib ()